This commit is contained in:
Alexandre
2023-05-21 18:38:21 +02:00
parent 445e482d72
commit a5a293716c
3 changed files with 8 additions and 5 deletions

View File

@@ -1 +1,2 @@
- Correct healthcheck
- First build - First build

View File

@@ -75,6 +75,8 @@ RUN if ! command -v bash >/dev/null 2>/dev/null; then (apt-get update && apt-get
# 4 Entrypoint # # 4 Entrypoint #
################ ################
RUN chmod a+x /usr/sbin/healthcheck && \
chmod a+x /usr/sbin/wait-for-signal
WORKDIR "/app" WORKDIR "/app"
ENTRYPOINT [ "/init" ] ENTRYPOINT [ "/init" ]
@@ -112,11 +114,11 @@ LABEL \
# 6 Healthcheck # # 6 Healthcheck #
################# #################
ENV HEALTH_PORT="9000" \ ENV HEALTH_PORT="" \
HEALTH_URL="/api/system/status" HEALTH_URL=""
HEALTHCHECK \ HEALTHCHECK \
--interval=5s \ --interval=5s \
--retries=5 \ --retries=5 \
--start-period=30s \ --start-period=30s \
--timeout=25s \ --timeout=25s \
CMD curl --fail "http://127.0.0.1:${HEALTH_PORT}${HEALTH_URL}" &>/dev/null || exit 1 CMD healthcheck &>/dev/null || exit 1

View File

@@ -47,5 +47,5 @@
}, },
"slug": "portainer_agent", "slug": "portainer_agent",
"url": "https://github.com/alexbelgium/hassio-addons", "url": "https://github.com/alexbelgium/hassio-addons",
"version": "2.18.2-3" "version": "2.18.2-5"
} }